List products
GET
https://api.catenda.com/v2/projects/{project-id}/ifc/products
Path Parameters
- project-idstringrequiredExampleDescription
Query Parameters
- modelstring[]Description
- revisionstring[]Description
- ifcTypestringDescription
- pageintegerDescription
- pageSizeintegerDescription
Responses
200
- ifc-product[]
- objectIdinteger<int64>ExampleDescriptionFormatint64
- ifcTypestringExampleDescription
- attributesobjectDescription
- revisionIdstringExampleDescription
- propertySetsmap<string, ifc-property-set>Description
- quantitySetsmap<string, ifc-quantity-set>Description
- materialsifc-material[]
- objectIdinteger<int64>ExampleDescriptionFormatint64
- attributesobjectDescription
- ifcSchemastringExampleDescription
- ifcTypestringExampleDescription
- typeifc-type
- revisionIdstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- ifcTypestringExampleDescription
- attributesobjectDescription
- propertySetsmap<string, ifc-property-set>Description
- quantitySetsmap<string, ifc-quantity-set>Description
- materialsifc-material[]
- objectIdinteger<int64>ExampleDescriptionFormatint64
- attributesobjectDescription
- ifcSchemastringExampleDescription
- ifcTypestringExampleDescription
curl
curl --request GET \
--url https://api.catenda.com/v2/projects/{project-id}/ifc/products \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/ifc/products", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/ifc/products")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/ifc/products"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"objectId": 73749689,
"ifcType": "IfcWall",
"attributes": {},
"revisionId": "924809076a694255c489d236517a55da",
"propertySets": "",
"quantitySets": "",
"materials": [
{
"objectId": 217235939073,
"attributes": {},
"ifcSchema": "IFC2X3",
"ifcType": "IfcMaterialLayerSet"
}
],
"type": {
"revisionId": "924809076a694255c489d236517a55da",
"objectId": 75749589,
"ifcType": "IfcWallType",
"attributes": {},
"propertySets": "",
"quantitySets": "",
"materials": [
{
"objectId": 217235939073,
"attributes": {},
"ifcSchema": "IFC2X3",
"ifcType": "IfcMaterialLayerSet"
}
]
}
}
]